API DOCUMENTATION
Integrate CBE payment verification into your applications.
BASE URL
https://verify.bernos.et/apiAUTHENTICATION
Include your API key in the request header:
X-API-Key: bv_your_api_keyRATE LIMITS
ANONYMOUS5 requests/day
REGISTERED (FREE)10 requests/day
API WITH BALANCEUnlimited (5 ETB/req)
POST
/api/verify-cbeVerify a CBE transaction using the reference number and account number.
REQUEST
POST /api/verify-cbe
Content-Type: application/json
X-API-Key: your_api_key_here
{
"transactionRef": "FT26095HT668",
"accountNumber": "1000680017250"
}RESPONSE
{
"status": "success",
"data": {
"bank": "Commercial Bank of Ethiopia",
"document_type": "VAT Invoice/Customer Receipt",
"status": "Verified",
"transaction_reference": "FT26095HT668",
"payment_date": "4/5/2026, 7:58:00 PM",
"payer_name": "AMANUEL MELSEW YEROM",
"payer_account": "1****1427",
"receiver_name": "Mr Ananya Addisu Workineh",
"receiver_account": "1****7259",
"transferred_amount": "60.00 ETB",
"commission": "0.50 ETB",
"total_debited": "60.61 ETB",
"pdf_available": true
}
}POST
/api/upload-cbeUpload an image containing a QR code with CBE transaction reference.
REQUEST
POST /api/upload-cbe
X-API-Key: your_api_key_here
Content-Type: multipart/form-data
image: <file>POST
/api/scan-cbeVerify a transaction reference extracted from a scanned QR code.
REQUEST
POST /api/scan-cbe
Content-Type: application/json
X-API-Key: your_api_key_here
{
"transactionRef": "FT26095HT668",
"accountNumber": "1000680017250"
}